Name:           pianobooster
Version:        0.6.4b
Release:        %mkrel 5
Summary:        A MIDI file player that teaches you how to play the piano
Group:          Sound/Midi
License:        GPLv3+
URL:            http://pianobooster.sourceforge.net/
Source0:        %{name}-src-%{version}.tar.gz
Patch0:         pianobooster-0.6.4b-fdr-explicit-linking.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(glu)
BuildRequires:  qt4-devel

Recommends:       %{name}-timidity

%description
A MIDI file player/game that displays the musical notes AND teaches you how
to play the piano.

PianoBooster is a fun way of playing along with a musical accompaniment and
at the same time learning the basics of reading musical notation.
The difference between playing along to a CD or a standard MIDI file
is that PianoBooster listens and reacts to what you are playing on a
MIDI keyboard.

%files
%doc README.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

#----------------------------------------------------------------------------

%package        timidity
Summary:        Wrapper to launch PianoBooster with TiMidity as MIDI sequencer
Group:          Sound/Midi

Requires:       %{name} = %{version}-%{release}
Requires:       TiMidity++

%description    timidity
This package contains a wrapper script to launch PianoBooster together with
TiMidity in ALSA server mode. This makes it possible to play the MIDI files
even without a plugged-in MIDI keyboard.

%files          timidity
%{_bindir}/%{name}-timidity
%{_datadir}/applications/%{name}-timidity.desktop

#----------------------------------------------------------------------------

%prep
%setup -q -n %{name}-src-%{version}
%autopatch -p1

%build
%cmake ../src
%make

%install
%makeinstall_std -C build

# Create a wrapper script to start a TiMidity server together with PianoBooster
cat > %{name}-timidity << EOF
#!/bin/sh
timidity -iA -OO &
PID=$!
pianobooster
kill $PID
EOF
install -D -m755 %{name}-timidity %{buildroot}%{_bindir}

# Create a desktop file for the wrapper script
cat > %{name}-timidity.desktop << EOF
#!/bin/sh
[Desktop Entry]
Name=Piano Booster (TiMidity)
Comment=A MIDI file player that teaches you how to play the piano, with TiMidity sequencer
GenericName=Piano Teacher
Exec=%{name}-timidity
Icon=%{name}
Terminal=false
Type=Application
Categories=Music;Education;
MimeType=audio/midi;
EOF
install -D -m755 %{name}-timidity.desktop %{buildroot}%{_datadir}/applications/%{name}-timidity.desktop


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.6.4b-5.mga6
+ Revision: 937646
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.6.4b-4.mga6
+ Revision: 937193
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.4b-3.mga5
+ Revision: 746593
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.4b-2.mga5
+ Revision: 687573
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Apr 25 2014 akien <akien> 0.6.4b-1.mga5
+ Revision: 618009
- Adapt wrapper script to kill the timidity server when pianobooster is closed
- Add -timidity package with a wrapper script to start TiMidity sequencer
- Rewrite spec file
- Revert to latest stable release 0.6.4b

  + matteo <matteo>
    - added explicit linking to gl and pthread
    - new version
    - cmake added as build requirement
    - pianobooster.spec upgrade due to sources upgrade
    - imported package pianobooster

